EGG-TEXTURE-CARDS(1)

NAME
egg-texture-cards - generate an .egg file containing texture cards

SYNOPSIS
egg-texture-cards [opts] texture [texture ...] output.egg
egg-texture-cards [opts] -o output.egg texture [texture ...]
egg-texture-cards [opts] texture [texture ...] >output.egg

DESCRIPTION
egg-texture-cards generates an egg file consisting of several square polygons, one for each texture name that appears on the command line.

This is a handy thing to have for importing texture images through egg-palettize, even when those textures do not appear on any real geometry; it can also be used for creating a lot of simple polygons for rendering click buttons and similar interfaces.

OPTIONS

-g left,right,bottom,top
    Specifies the geometry of each polygon. The default is a unit polygon centered on the origin: -0.5,0.5,-0.5,0.5. Polygons are always created on the X-Y plane. If -p is not also specified, all polygons will be the same size and shape.

-p xpixels,ypixels
    Indicates that polygons should be sized in proportion to the pixel size of the texture image. This will potentially create a different size and shape polygon for each texture. The coordinate pair represents the image size in pixels that will exactly fill up the polygon described with -g (or the default polygon if -g is not specified); smaller images will be given proportionately smaller polygons, and larger images will be given proportionately larger polygons.

-suffix string
    Normally, each polygon is given a name based on the basename of its corresponding texture's filename (without the filename extension). This option specifies an ignorable suffix in the texture filename(s); if this suffix is present, it is not included in the polygon's name. This option may be repeated multiple times.

-c r,g,b[,a]
    Specifies the color of each polygon. The default is white: 1,1,1,1.

-wm wrap
    Indicates the wrap mode of the texture: "repeat", "clamp", or any of the other modes supported by egg syntax. The default is to leave this unspecified.

-wmu wrap_u
    Indicates the wrap mode of the texture in the U direction. This overrides -wm, if specified.

-wmv wrap_v
    Indicates the wrap mode of the texture in the V direction. This overrides -wm, if specified.

-minf filter
    Indicates the minfilter mode of the texture: "linear", "mipmap", or any of the other modes supported by egg syntax. The default is to leave this unspecified.

-magf filter
    Indicates the magfilter mode of the texture: "linear" or "nearest". The default is to leave this unspecified.

-aniso degree
    Indicates the anisotropic degree of the texture. The default is to leave this unspecified.

-ql [default | fastest | normal | best]
    Specifies the quality level of the texture. This mainly affects the tinydisplay software renderer.

-f format
    Indicates the format for all textures: typical choices are "rgba12" or "rgb5" or "alpha". The default is to leave this unspecified.

-f1 format
    Indicates the format for one-channel textures only. If specified, this overrides the format specified by -f.

-f2 format
    Indicates the format for two-channel textures only. If specified, this overrides the format specified by -f.

-f3 format
    Indicates the format for three-channel textures only. If specified, this overrides the format specified by -f.

-f4 format
    Indicates the format for four-channel textures only. If specified, this overrides the format specified by -f.

-b  Make the textured polygons backfaced (two-sided).

-fps frame-rate
    Normally, all of the texture cards are created as a series of nodes beneath a SequenceNode. This allows all of the cards to be viewed, one at a time, if the output file is loaded in pview. It also has the nice side-effect of creating an automatic texture flip that can be used directly by applications; use this parameter to specify the frame rate of that texture flip.

-noexist
    Don't treat it as an error if the input file references pathnames (e.g. textures) that don't exist. Normally, this will be flagged as an error and the command aborted; with this option, an egg file will be generated anyway, referencing pathnames that do not exist.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file, or standard output is used if there are no other parameters.

-cs coordinate-system
    Specify the coordinate system of the resulting egg file. This may be one of 'y-up', 'z-up', 'y-up-left', or 'z-up-left'. The default is y-up.

-h  Display this help page.